Page MenuHomeFreeBSD

ice(4): Update to version 0.28.1-k
ClosedPublic

Authored by erj on Feb 13 2021, 12:29 AM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 16 2024, 9:42 PM
Unknown Object (File)
Dec 26 2023, 1:19 AM
Unknown Object (File)
Dec 26 2023, 1:19 AM
Unknown Object (File)
Dec 26 2023, 1:19 AM
Unknown Object (File)
Dec 23 2023, 3:31 AM
Unknown Object (File)
Dec 15 2023, 6:33 PM
Unknown Object (File)
Dec 10 2023, 2:29 PM
Unknown Object (File)
Nov 27 2023, 1:22 AM

Details

Summary
This updates the driver to align with the version included in
the "Intel Ethernet Adapter Complete Driver Pack", version 25.6.

There are no major functional changes; this mostly contains
bug fixes and changes to prepare for new features. This version
of the driver uses the previously committed ice_ddp package
1.3.19.0.

Signed-off-by: Eric Joyner <erj@FreeBSD.org>

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 37291
Build 34180: arc lint + arc unit

Event Timeline

erj requested review of this revision.Feb 13 2021, 12:29 AM
kbowling added inline comments.
sys/dev/ice/if_ice_iflib.c
1496

is this change away from RXTX intentional?

sys/dev/ice/if_ice_iflib.c
1496

On first glance, I can't think of why we would have changed it. I'll have to look into that.

erj planned changes to this revision.Feb 16 2021, 7:54 PM

I also need to make other changes to this, too.

sys/dev/ice/if_ice_iflib.c
1496

And on second glance, it's because I didn't notice that https://reviews.freebsd.org/D27683 didn't get committed (because I was out on vacation / IntelNetworking wasn't on there), so it didn't get pulled into our development code. So, I'll probably revert it back to RXTX.

  • ice: Update to 0.28.1-k from 0.28.0-k, restore changes made by non-Intel commits
erj retitled this revision from ice(4): Update to version 0.28.0-k to ice(4): Update to version 0.28.1-k.Feb 17 2021, 1:39 AM
erj edited the summary of this revision. (Show Details)
  • Actually make the new ice_vlan_mode.c file that was added
  • Commit the ice_ddp package in a separate commit
This revision is now accepted and ready to land.Mar 6 2021, 12:23 AM
erj edited the summary of this revision. (Show Details)